> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quickblox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Files

> Get a list of files/blobs for a current user. The ID of the user is taken from the token specified in the request.

#### Query Parameters

<ParamField query="page" type="integer" default="1"> Page of results to return. </ParamField>
<ParamField query="per_page" type="integer" default="10"> Number of records to return in one request. Min: 1. Max: 100. </ParamField>

#### Headers

<ParamField header="QB-Token" type="string" required> A user or application session token. See [Authentication](/reference/authentication) page to learn more about session tokens. Must be used either QB-Token or Authorization. </ParamField>

#### Responses

<AccordionGroup>
  <Accordion title="200">
    A successful response

    <ResponseField name="current_page" type="integer" />

    <ResponseField name="per_page" type="integer" />

    <ResponseField name="total_entries" type="integer" />

    <ResponseField name="items" type="array of objects">
      <Expandable title="properties">
        <ResponseField name="blob" type="object">
          <Expandable title="properties">
            <ResponseField name="id" type="integer" />

            <ResponseField name="uid" type="string" />

            <ResponseField name="content_type" type="string" />

            <ResponseField name="name" type="string" />

            <ResponseField name="size" type="string" />

            <ResponseField name="created_at" type="string" />

            <ResponseField name="updated_at" type="string" />

            <ResponseField name="blob_status" type="string" />

            <ResponseField name="set_completed_at" type="string" />

            <ResponseField name="public" type="boolean" />
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="400">
    An error response
  </Accordion>
</AccordionGroup>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET \
  -H "QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba" \
  https://api.quickblox.com/blobs.json
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "current_page": 1,
    "per_page": 10,
    "total_entries": 2,
    "items": [
      {
        "blob": {
          "id": 9715927,
          "uid": "9019061f0e094284a250189edd3034f300",
          "content_type": "image/jpeg",
          "name": "apple",
          "size": 16766,
          "created_at": "2019-09-15T21:12:56Z",
          "updated_at": "2019-09-15T21:22:17Z",
          "blob_status": "complete",
          "set_completed_at": "2019-09-15T21:17:45Z",
          "public": false
        }
      },
      {
        "blob": {
          "id": 9717123,
          "uid": "ff61838dc80f46579d59afef479f0a0200",
          "content_type": "image/jpeg",
          "name": "my_cat.jpeg",
          "size": null,
          "created_at": "2019-09-16T19:26:45Z",
          "updated_at": "2019-09-16T19:26:45Z",
          "blob_status": null,
          "set_completed_at": null,
          "public": true
        }
      }
    ]
  }
  ```

  ```json 400 theme={null}
  {}
  ```
</ResponseExample>
